{
  "name": "外部程式小部件",
  "icon": "pneumaticcraft:textures/progwidgets/external_program_piece.png",
  "category": "pneumaticcraft:widget_flow",
  "advancement": "pneumaticcraft:programmer",
  "pages": [
    {
      "type": "text",
      "text": "此小部件將搜尋指定 $(l:programming/area)區域/$ 內的任何庫存。對於每個庫存，它將遍歷每個槽位。當找到 $(l:tools/drone)無人機/$ 或 $(l:components/network_components#network_api)網路 API/$ 時，它將執行儲存在該物品上的程式。$(p)當程式完成時，$(item)無人機/$ 將進入下一個槽位和/或庫存。"
    },
    {
      "type": "text",
      "text": "此小部件可用於除錯 $(item)無人機/$ 程式，因為 $(l:programming/programmer)程式設計師/$ 也算作一個庫存。只需使用 $(thing)外部程式/$ 小部件程式設計一個 $(item)無人機/$，並將其區域僅設定為 $(item)程式設計師/$，然後將其放置。$(p)現在將 $(item)無人機/$ 或 $(item)網路 API/$ 放入程式設計師中，建立您的程式。當您在 $(item)程式設計師/$ 中點選 $(thing)⟶ (export)/$ 按鈕時，已部署的 $(item)無人機/$ 將立即執行您的程式。"
    },
    {
      "type": "image",
      "images": [
        "pneumaticcraft:textures/progwidgets/external_program_piece.png"
      ],
      "text": "$(italic)程式夢中夢/$"
    }
  ]
}